Threat Level: green Handler on Duty: Xavier Mertens

SANS ISC: InfoSec Handlers Diary Blog - SSH - new brute force tool? InfoSec Handlers Diary Blog


Sign Up for Free!   Forgot Password?
Log In or Sign Up for Free!

SSH - new brute force tool?

Published: 2010-08-12
Last Updated: 2010-08-13 16:51:28 UTC
by Daniel Wesemann (Version: 5)
6 comment(s)

We have received some reports about a new SSH brute force script, possibly named dd_ssh, that gets dropped onto web servers, most likely via an older phpmyadmin vulnerability.  If you have sample log entries from a successful attack or can share a copy of dd_ssh, please let us know.  The current DShield figures do show a recent uptick in the number of sources that participate in SSH scanning.

Update 1735UTC: We have received several samples of dd_ssh, with MD5 24dac6bab595cd9c3718ea16a3804009.  If your MD5 differs, please still send us a copy.  It also looks like the vulnerability exploited is indeed in phpmyadmin, but seems to be the rather old CVE-2009-1151. Again, if your information differs, please let us know.  Thanks to all the ISC readers who responded so far!

Update 2005UTC: Several readers have identified 91-193-157-206 as the most likely original source of the scanning for phpmyadmin's setup.php. If successful, two files named "vmsplice.txt" and "dd.txt" were downloaded from that same IP. How exactly dd_ssh was installed is not yet clear, but most readers found it in /tmp after a POST request to phpmyadmin/scripts/setup.php. A running dd_ssh was seen to talk to a bunch of IPs over port 54509 and 54510, this is most likely the C&C connection.

Update 2020UTC: We got it reasonably established that the vulnerability exploited to drop the SSH scanner was indeed CVE-2009-1151. C'mon, folks, if you insist to have your phpmyadmin reachable from the Internet (why would you?? Access control isn't hard!) then please at least upgrade to the most current version, which at this time is 2.11.10 or 3.3.5.

Update Aug12 0920UTC:  In some cases, a dd_ssh was accompanied by a file named vm.c, which seems to cointain the "vmsplice" local root exploit (CVE2008-0600).  We also have a couple of cases where setup.php was replaced by a new file named setup1.php, which contains a very basic remote command shell. 

6 comment(s)
Diary Archives